function verifyData() {
  // Create our TDVerify object here with all of our inputs.

  var verify = $.tdverify({
    // Use TowerData's domain authentication for best security 
    // or set your license key here
     'license' : 'your key', 

    // Specify where the data to validate comes from. 
    // This can be done by ID, jQuery, or DOM elements.

    // The values here are the IDs of the input fields.
    'fname' : 'first_name_input',
    'lname' : 'last_name_input',
    'email' : 'email_input',

    // The values of these are jQuery objects using jQuery's
    // own selector system identifying them by ID.
    'phone'      : $('#phone_input'),
    'address1'   : $('#address1_input'),
    'address2'   : $('#address2_input'),

    // The values of these are DOM Elements retrieved with the
    // use of the document.getElementById() function.
    'city'  : document.getElementById('city_input'),
    'state' : document.getElementById('state_input'),
    'zip'   : document.getElementById('zip_input'),
    'ip'    : document.getElementById('ip_input'),

    // These are your settings. All the values are field IDs.
    'settings' : {
      'valid_email'   : 'valid_email_input',
      'valid_phone'   : 'valid_phone_input',
      'valid_postal'  : 'valid_postal_input',
      'reverse_email' : 'reverse_email_input',
      'demographics'  : 'demographics_input',
      'timeout'       : 'timeout_input'
    }
  });

//  You can optionally set values without using field references
//  verify.set({
//    'ip' : 'detect'
//  });

  verify.process({
    'onSuccess' : processJsonData,
    'onError'   : onError
  });
}

function processJsonData(data, textStatus, xhr) {
  var displayData = {};

  $('#display_data').html('');

  for (var key in data) {
    if (data.hasOwnProperty(key)) {
      var source = data[key];

      if (typeof source === 'object') {
        displayData[key] = source;

        var dataContainer = document.createElement('div');

        $(dataContainer).append('<p class="header">' + key + '</p>');

        var table = document.createElement('table');

        var headerRow = document.createElement('tr');
        $(headerRow).append($(document.createElement('td')).html('Key').css({ 'text-align' : 'center', 'font-weight' : 'bold' }));
        $(headerRow).append($(document.createElement('td')).html('Value').css({ 'text-align' : 'center', 'font-weight' : 'bold' }));

        $(table).append(headerRow);

        for (var k in source) {
          if (source.hasOwnProperty(k)) {

            if (source[k] instanceof Array) {
              $.each(source[k], function(i, v) {
                var dataRow = $(document.createElement('tr'));
                var valueCell = $(document.createElement('td'));

                dataRow.append($(document.createElement('td')).html(k + ' [' + i + ']'));
                dataRow.append(valueCell.html(v === Object(v) ? v.desc : v.toString()));

                $(table).append(dataRow);
              });
            }
            else {
              var value = source[k] == null ? '' : source[k].toString();
              var dataRow = $(document.createElement('tr'));

              dataRow.append($(document.createElement('td')).html(k));
              dataRow.append($(document.createElement('td')).html(value));

              $(table).append(dataRow);
            }

          }
        }

        $('#display_data').append($(dataContainer).append(table));
      }
    }
  }
}

function onError(xhr, error) {

  alert('An error occurred while processing this request. Probably a malformed request or you are not authenticated.');

}

function clearInputs() {
  $('input').val('');
}
